%define drupaldatadir %{_datadir}/%{name}
%define drupalsysconfdir %{_sysconfdir}/%{name}
%define drupalstatedir %{_localstatedir}/lib/%{name}
%define drupaldocdir %{_defaultdocdir}/%{name}

Name:		drupal
Version:	7.20
Release:	%mkrel 1
Epoch:		0
Summary:	Open source content management platform
License:	GPLv2+
Group:		Networking/WWW
Url:		http://www.drupal.org/
BuildArch:      noarch

Source0:	http://ftp.drupal.org/files/projects/%{name}-%{version}.tar.gz
Source1:	README.urpmi

Patch0:		%{name}-7.4-baseurl.patch
Patch1:		%{name}-7.8-scripts-remove-shebang.patch
Patch2:		%{name}-7.9-htaccess.patch
Patch3:     %{name}-7.14-fc-fix-path-disclosure-vulnerability.patch

Requires:	apache
Requires:	apache-mod_php
Requires:	php-xml
Requires:	php-mbstring
Requires:	php-gd
Suggests:	php-uploadprogress
Requires:	%{name}-database-storage = %{version}-%{release}

%description
Drupal is a free software package that allows an individual or a 
community of users to easily publish, manage and organize a wide variety 
of content on a website. Tens of thousands of people and organizations 
have used Drupal to power scores of different web sites, including

    * Community web portals
    * Discussion sites
    * Corporate web sites
    * Intranet applications
    * Personal web sites or blogs
    * Aficionado sites
    * E-commerce applications
    * Resource directories
    * Social Networking sites

%package mysql
Summary:	mysql storage of druapl
Group:		Networking/WWW
Provides:	%{name}-database-storage = %{version}-%{release}
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	php-pdo_mysql
Requires:	mysql
Obsoletes:	%{name}-mysqli < 0:7.10

%description mysql
This package provides virtual requries of using mysql as storage backend
for drupal.

%package postgresql
Summary:	postgresql storage of drupal
Group:		Networking/WWW
Provides:       %{name}-database-storage = %{version}-%{release}
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:	php-pdo_pgsql
Requires:	postgresql-virtual

%description postgresql
This package provides virtual requries of using postgresql as storage backend
for drupal.

%package sqlite
Summary:	sqlite storage of druapl
Group:		Networking/WWW
Provides:       %{name}-database-storage = %{version}-%{release}
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:	php-pdo_sqlite

%description sqlite
This package provides virtual requries of using sqlite as storage backend
for drupal.

%prep
%setup -q
%patch0 -p0
%patch1 -p0 -b .remove_shebang
%patch2 -p0
%patch3 -p1

chmod -x scripts/drupal.sh
chmod -x scripts/password-hash.sh
chmod -x scripts/run-tests.sh

%install
mkdir -p %{buildroot}%{drupaldatadir}
mkdir -p %{buildroot}%{drupalsysconfdir}
cp -a * %{buildroot}%{drupaldatadir}
rm -f %{buildroot}%{drupaldatadir}/*.txt %{buildroot}%{drupaldatadir}/web.config

cp -a robots.txt %{buildroot}%{drupalsysconfdir}
(cd %{buildroot}%{drupaldatadir}
ln -s ../../..%{drupalsysconfdir}/robots.txt .
cd -)

mkdir -p %{buildroot}%{_webappconfdir}
cp -a .htaccess %{buildroot}%{_webappconfdir}/%{name}.conf

mv %{buildroot}%{drupaldatadir}/sites %{buildroot}%{drupalsysconfdir}
(cd %{buildroot}%{drupaldatadir}
ln -s ../../..%{drupalsysconfdir}/sites .
cd -)

mkdir -p %{buildroot}%{drupalstatedir}/files/default
(cd %{buildroot}%{drupaldatadir}/sites/default
ln -s ../../../../..%{drupalstatedir}/files/default files
cd -)

install -m0644 %SOURCE1 .

%files
%doc *.txt README.urpmi
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/includes
%{_datadir}/%{name}/misc
%{_datadir}/%{name}/modules
%{_datadir}/%{name}/profiles
%{_datadir}/%{name}/scripts
%{_datadir}/%{name}/themes
%{_datadir}/%{name}/*php
%{_datadir}/%{name}/sites
%{_datadir}/%{name}/robots.txt
%dir %{drupalstatedir}
%dir %{drupalstatedir}/files
%attr(0755,apache,apache) %dir %{drupalstatedir}/files/default
%attr(710,root,apache) %dir %{_sysconfdir}/%{name}
%attr(0755,apache,apache) %{_sysconfdir}/%{name}/sites
%config(noreplace) %{_webappconfdir}/%{name}.conf
%config(noreplace) %{_sysconfdir}/%{name}/robots.txt

%files mysql

%files postgresql

%files sqlite


%changelog

* Thu Feb 21 2013 fwang <fwang> 0:7.20-1.mga2
+ Revision: 399592
- new version 7.20
- new version 7.19
- new version 7.18
- new version 7.16
- new version 7.14
- fix requires on epoch
- new version 7.12

  + obgr_seneca <obgr_seneca>
    - Fixed README.urpmi file
    - Fix path disclosure vulnerability CVE-2012-2922 (Mga Bug #5844)

* Sun Dec 11 2011 fwang <fwang> 0:7.10-2.mga2
+ Revision: 180683
- fix obsoleted version

* Sun Dec 11 2011 fwang <fwang> 0:7.10-1.mga2
+ Revision: 180676
- new version 5.10

* Fri Nov 25 2011 obgr_seneca <obgr_seneca> 0:7.9-1.mga2
+ Revision: 171867
- fixed htacces patch
- new version 7.9

* Wed Oct 12 2011 obgr_seneca <obgr_seneca> 0:7.8-3.mga2
+ Revision: 154121
- removed .htaccess and added functiuonality to http conf file

* Wed Oct 12 2011 obgr_seneca <obgr_seneca> 0:7.8-2.mga2
+ Revision: 154101
- fixed typo in htaccess patch

* Wed Oct 12 2011 obgr_seneca <obgr_seneca> 0:7.8-1.mga2
+ Revision: 154096
- new version 7.8
- changed installation paths conforming to web app policy
- added patches for .htaccess and shebang removal
- added pdo packages as Requires to database sub packages

* Mon Jul 04 2011 kharec <kharec> 0:7.4-2.mga2
+ Revision: 118307
- bump rel
- add patch for fix base url

* Mon Jul 04 2011 kharec <kharec> 0:7.4-1.mga2
+ Revision: 118130
- new version 7.4

* Mon Jul 04 2011 kharec <kharec> 0:7.2-1.mga2
+ Revision: 118114
- drop p0
- new version 7.2

* Thu Apr 14 2011 tv <tv> 0:7.0-1.mga1
+ Revision: 85228
- cleanups
- imported package drupal

